#!/bin/sh
#
# source: http://www.cybercom.net/~dcoffin/dcraw/dcraw.c
#         http://www.cybercom.net/~dcoffin/dcraw/dcraw.1
#
# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------Set Some Variables

soft='dcraw'
softversion='8.91'
packageversion='60.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
mkdir $dest
rm -rf $src
rm -rf $dest

mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

     |-----handy-ruler-------------------------------------------------|
dcraw: dcraw (command-line decoder for raw digital photos)
dcraw:
dcraw: dcraw - command-line decoder for raw digital photos
dcraw:
dcraw: http://www.cybercom.net/~dcoffin/dcraw
dcraw:
dcraw:
dcraw:
dcraw:
dcraw:
dcraw:
EODESC

cd $buildir

chown -R root:root .

gcc -o dcraw -O2 -march=i486 -mtune=i686 dcraw.c -lm -ljpeg -llcms

install $soft -D -m755 $dest/usr/bin/$soft
gzip -c -9 $soft.1 > $soft.1.gz
install $soft.1.gz -D -m644 $dest/usr/man/man1/$soft.1.gz

( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp $buildir/license.txt $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5